Page MenuHomePhabricator

Special:Search on mw.org throwing an error - Advanced search checkboxes broken
Closed, ResolvedPublic

Description

Clicking on "Advanced" search and changing the default namespaces to search and clicking search returns:

"Exception thrown by mediawiki.special.search" load.php:150
"TypeError: this.form is null" TypeError: this.form is null
Stack trace:
@https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20141210T212029Z line 4 > eval:2:185
jQuery.event.dispatch@https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20141210T212029Z:65:771
jQuery.event.add/elemData.handle@https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20141210T212029Z:60:313
jQuery.event.trigger@https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20141210T212029Z:64:460
.trigger/<@https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20141210T212029Z:75:425
.each@https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20141210T212029Z:5:216
jQuery.prototype.each@https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20141210T212029Z:2:215
.trigger@https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20141210T212029Z:75:404
@https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20141210T212029Z line 4 > eval:2:130
jQuery.Callbacks/fire@https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20141210T212029Z:44:928
jQuery.Callbacks/self.add@https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20141210T212029Z:45:488
jQuery.fn.ready@https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20141210T212029Z:48:879
jQuery.fn.init@https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20141210T212029Z:41:68
jQuery@https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20141210T212029Z:1:637
@https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20141210T212029Z line 4 > eval:1:84
@https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20141210T212029Z line 4 > eval:1:1
runScript@https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20141210T212029Z:160:473
execute/</checkCssHandles@https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20141210T212029Z:160:958
execute/</cssHandle/<@https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20141210T212029Z:161:96
jQuery.Callbacks/fire@https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20141210T212029Z:44:928
jQuery.Callbacks/self.fireWith@https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20141210T212029Z:46:258
jQuery.Callbacks/self.fire@https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20141210T212029Z:46:301
addEmbeddedCSS@https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20141210T212029Z:155:871
execute@https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20141210T212029Z:161:552
mw.loader</<.implement@https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20141210T212029Z:168:145
@https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20141210T212029Z line 4 > eval:42:29
.globalEval/<@https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20141210T212029Z:4:655
.globalEval@https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20141210T212029Z:4:621
mw.loader</<.work@https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20141210T212029Z:164:68
request@https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20141210T212029Z:162:258
mw.loader</<.load@https://bits.wikimedia.org/www.mediawiki.org/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=20141210T212029Z:169:720
@https://www.mediawiki.org/w/index.php?title=Special%3ASearch&profile=advanced&search=mw.util.addPortletLink&fulltext=Search:248:1

Details

Related Gerrit Patches:

Event Timeline

Technical13 raised the priority of this task from to Unbreak Now!.
Technical13 updated the task description. (Show Details)
Technical13 added a project: MediaWiki-Search.
Technical13 changed Security from none to None.
Technical13 added a subscriber: Technical13.
Aklapper lowered the priority of this task from Unbreak Now! to High.Dec 15 2014, 5:13 PM

Clicking on "Advanced" search and changing the default namespaces to search and clicking search returns:

Please provide exact steps to reproduce. I cannot reproduce the problem using https://www.mediawiki.org/w/index.php?title=Special:Search&search=&fulltext=Search&profile=advanced but the steps are simply too vague. Using &debug=true is also very welcome.

Technical13 added a comment.EditedDec 15 2014, 5:41 PM

https://www.mediawiki.org/w/index.php?title=Special%3ASearch&profile=advanced&search=Foo&fulltext=Search&debug=true

TypeError: this.form is null mediawiki.special.search.js:53

		// Change the header search links to what user entered (line 34)
		$headerLinks = $( '.search-types a' );
		$( '#searchText, #powerSearchText' ).change( function () {
			var searchterm = $( this ).val();
			$headerLinks.each( function () {
				var parts = $( this ).attr( 'href' ).split( 'search=' ),
					lastpart = '',
					prefix = 'search=';
				if ( parts.length > 1 && parts[1].indexOf( '&' ) !== -1 ) {
					lastpart = parts[1].slice( parts[1].indexOf( '&' ) );
				} else {
					prefix = '&search=';
				}
				this.href = parts[0] + prefix + encodeURIComponent( searchterm ) + lastpart;
			} );
		} ).trigger( 'change' );

		// When saving settings, use the proper request method (POST instead of GET).
		$( '#mw-search-powersearch-remember' ).change( function () {
			this.form.method = this.checked ? 'post' : 'get';
		} ).trigger( 'change' );

When I view source of the page:

mw.user.options.set( {
    "ccmeonemails": "1",
    "date": "mdy",
    "editsectiononrightclick": "1",
    "enotifwatchlistpages": "1",
    "extendwatchlist": "1",
    "gender": "male",
    "imagesize": "3",
    "math": "6",
    "previewonfirst": "1",
    "rcdays": "30",
    "rclimit": "500",
    "showhiddencats": "1",
    "stubthreshold": "100",
    "thumbsize": "6",
    "uselivepreview": "1",
    "usenewrc": "1",
    "watchlistdays": "30",
    "wllimit": "1000",
    "lqtnotifytalk": "1",
    "visualeditor-betatempdisable": "1",
    "translate-editlangs": "en",
    "echo-subscriptions-email-edit-user-talk": 1,
    "echo-subscriptions-web-article-linked": "1",
    "echo-subscriptions-email-mention": "1",
    "uls-preferences": "{\"ime\":{\"language\":\"en\",\"previousLanguages\":[\"en\"],\"previousInputMethods\":[],\"imes\":{\"en\":\"system\"}}}",
    "searchNs1": "1",
    "searchNs2": "1",
    "searchNs3": "1",
    "searchNs4": "1",
    "searchNs5": "1",
    "searchNs6": "1",
    "searchNs7": "1",
    "searchNs8": "1",
    "searchNs9": "1",
    "searchNs10": "1",
    "searchNs11": "1",
    "searchNs13": "1",
    "searchNs90": "1",
    "searchNs91": "1",
    "searchNs101": "1",
    "searchNs103": "1",
    "betafeatures-vector-compact-personal-bar": "0",
    "gadget-DotsSyntaxHighlighter": "1",
    "gadget-HotCat": "1",
    "gadget-Navigation_popups": "1",
    "gadget-TabOverride": "1",
    "gadget-UTCLiveClock": "1",
    "gadget-ajaxrecentchanges": "1",
    "gadget-contribsrange": "1",
    "gadget-externalsearch": "1",
    "gadget-oldeditor": "1",
    "gadget-templatedata": "1",
    "popups": "0",
    "timecorrection": "ZoneInfo|-300|America/New_York",
    "uls-compact-links": "0",
    "watchlisttoken": "/* (redacted) */"
} );

and

mw.loader.load(["mediawiki.page.startup","mediawiki.legacy.wikibits","mediawiki.legacy.ajax","ext.gadget.site","ext.centralauth.centralautologin.clearcookie","skins.vector.compactPersonalBar.defaultTracking","ext.visualEditor.viewPageTarget.init","ext.uls.init","ext.uls.interface","ext.centralNotice.bannerController","skins.vector.js"]);

I simply cannot get see any stacktrace rendered in my browser - I get 1076 results for your link and nothing that makes it look like something really important is broken here. Could you elaborate?

I can confirm that there's error output in the browser console, triggered by this line:

this.form.method = this.checked ? 'post' : 'get';

from https://git.wikimedia.org/history/mediawiki%2Fcore.git/HEAD/resources%2Fsrc%2Fmediawiki.special%2Fmediawiki.special.search.js which hasn't seen recent changes.

Technical13 added a comment.EditedDec 15 2014, 7:13 PM

There are no specific steps, just loading the page brings up that error. Okay, I refresh the page with my console open and my Network, JS, and Security logs checked and I get:

GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 580ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 470ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 528ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 522ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 561ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 634ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 635ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 675ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 683ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 761ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 752ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 889ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 787ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 1840ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 861ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 892ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 2545ms]
GET https://www.mediawiki.org/w/index.php [HTTP/1.1 200 OK 134ms]
GET https://www.mediawiki.org/w/index.php [HTTP/1.1 200 OK 281ms]
GET https://www.mediawiki.org/w/index.php [HTTP/1.1 200 OK 255ms]
GET https://en.wikipedia.org/w/index.php [HTTP/1.1 200 OK 293ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 377ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 258ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/CentralNotice/modules/ext.centralNotice.bannerController/bannerController.lib.js [HTTP/1.1 200 OK 115ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 115ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/CentralAuth/modules/ext.centralauth.centralautologin.clearcookie.js [HTTP/1.1 200 OK 58ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 102ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 124ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/VisualEditor/lib/ve/src/ve.js [HTTP/1.1 200 OK 65ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/VisualEditor/lib/ve/src/ve.track.js [HTTP/1.1 200 OK 114ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/jquery/jquery.byteLength.js [HTTP/1.1 200 OK 132ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/jquery/jquery.client.js [HTTP/1.1 200 OK 176ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/lib/jquery/jquery.cookie.js [HTTP/1.1 200 OK 149ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/CentralNotice/modules/ext.centralNotice.bannerController/bannerController.css [HTTP/1.1 200 OK 148ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/CentralNotice/modules/ext.centralNotice.bannerController/bannerController.js [HTTP/1.1 200 OK 212ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/jquery/jquery.mwExtension.js [HTTP/1.1 200 OK 147ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/jquery/jquery.accessKeyLabel.js [HTTP/1.1 200 OK 156ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/jquery/jquery.tabIndex.js [HTTP/1.1 200 OK 203ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/lib/jquery/jquery.ba-throttle-debounce.js [HTTP/1.1 200 OK 265ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 611ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/jquery.tipsy/jquery.tipsy.js [HTTP/1.1 200 OK 283ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/mediawiki/mediawiki.notify.js [HTTP/1.1 200 OK 226ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/mediawiki/mediawiki.util.js [HTTP/1.1 200 OK 314ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/mediawiki.api/mediawiki.api.js [HTTP/1.1 200 OK 273ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/mediawiki/mediawiki.Title.js [HTTP/1.1 200 OK 348ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/mediawiki/mediawiki.Uri.js [HTTP/1.1 200 OK 388ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/EventLogging/modules/ext.eventLogging.core.js [HTTP/1.1 200 OK 354ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/resources/css/ext.uls.css [HTTP/1.1 200 OK 349ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/resources/js/ext.uls.init.js [HTTP/1.1 200 OK 383ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/mediawiki.language/mediawiki.language.init.js [HTTP/1.1 200 OK 439ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 457ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/mediawiki.legacy/wikibits.js [HTTP/1.1 200 OK 426ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/mediawiki.legacy/ajax.js [HTTP/1.1 200 OK 444ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 502ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 522ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/mediawiki.libs/CLDRPluralRuleParser.js [HTTP/1.1 200 OK 496ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/mediawiki.language/mediawiki.cldr.js [HTTP/1.1 200 OK 506ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/mediawiki.language/mediawiki.language.js [HTTP/1.1 200 OK 511ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/mediawiki.language/mediawiki.language.numbers.js [HTTP/1.1 200 OK 587ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/mediawiki.language/mediawiki.language.fallback.js [HTTP/1.1 200 OK 583ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/mediawiki/mediawiki.jqueryMsg.js [HTTP/1.1 200 OK 733ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/mediawiki.page/mediawiki.page.startup.js [HTTP/1.1 200 OK 586ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 615ms]
GET https://bits.wikimedia.org/static-1.25wmf12/skins/Vector/collapsibleTabs.js [HTTP/1.1 200 OK 648ms]
GET https://bits.wikimedia.org/static-1.25wmf12/skins/Vector/vector.js [HTTP/1.1 200 OK 657ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 712ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/mediawiki/mediawiki.user.js [HTTP/1.1 200 OK 657ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/VectorBeta/resources/compactPersonalBar/trackClick.js [HTTP/1.1 200 OK 668ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/VectorBeta/resources/compactPersonalBar/defaultTracking.js [HTTP/1.1 200 OK 741ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/VisualEditor/modules/ve-mw/init/styles/ve.init.mw.ViewPageTarget.init.css [HTTP/1.1 200 OK 741ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/VisualEditor/modules/ve-mw/init/targets/ve.init.mw.ViewPageTarget.init.js [HTTP/1.1 200 OK 873ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/resources/js/ext.uls.preferences.js [HTTP/1.1 200 OK 744ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/resources/js/ext.uls.webfonts.js [HTTP/1.1 200 OK 767ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/resources/js/ext.uls.interface.js [HTTP/1.1 200 OK 795ms]
GET https://upload.wikimedia.org/wikipedia/commons/thumb/0/06/Foo.jpg/120px-Foo.jpg [HTTP/1.1 200 OK 584ms]
GET https://upload.wikimedia.org/wikipedia/commons/thumb/1/11/Foo.svg/120px-Foo.svg.png [HTTP/1.1 200 OK 583ms]
GET https://upload.wikimedia.org/wikipedia/commons/thumb/f/f5/Foo_2.png/120px-Foo_2.png [HTTP/1.1 200 OK 665ms]
GET https://upload.wikimedia.org/wikipedia/commons/thumb/4/43/Foo_1.jpg/120px-Foo_1.jpg [HTTP/1.1 200 OK 751ms]
GET https://upload.wikimedia.org/wikipedia/commons/thumb/8/8e/Mei_Foo_Sun_Chuen_Map.svg/120px-Mei_Foo_Sun_Chuen_Map.svg.png [HTTP/1.1 200 OK 662ms]
GET https://upload.wikimedia.org/wikipedia/commons/thumb/4/48/Foo_Fighters_acoustic.jpg/120px-Foo_Fighters_acoustic.jpg [HTTP/1.1 200 OK 663ms]
GET https://upload.wikimedia.org/wikipedia/commons/thumb/4/49/Foo_Fighters.jpg/120px-Foo_Fighters.jpg [HTTP/1.1 200 OK 932ms]
GET https://upload.wikimedia.org/wikipedia/commons/thumb/a/a7/Foo_1.png/120px-Foo_1.png [HTTP/1.1 200 OK 895ms]
GET https://upload.wikimedia.org/wikipedia/commons/thumb/6/6b/Jane_McGonigal%2C_Foo_Camp.jpg/102px-Jane_McGonigal%2C_Foo_Camp.jpg [HTTP/1.1 200 OK 888ms]
GET https://upload.wikimedia.org/wikipedia/commons/thumb/d/d8/Foo_Fighters_%28Logo%29.png/120px-Foo_Fighters_%28Logo%29.png [HTTP/1.1 200 OK 890ms]
GET https://upload.wikimedia.org/wikipedia/commons/thumb/e/e3/Jane_McGonigal_Foo_Camp_2008.jpg/120px-Jane_McGonigal_Foo_Camp_2008.jpg [HTTP/1.1 200 OK 902ms]
GET https://upload.wikimedia.org/wikipedia/commons/thumb/5/56/Mei_Foo_exit_A.jpeg/120px-Mei_Foo_exit_A.jpeg [HTTP/1.1 200 OK 884ms]
GET https://upload.wikimedia.org/wikipedia/commons/thumb/e/e8/The_view_of_Mei_Foo_Skatepark_From_Entrance.jpeg/120px-The_view_of_Mei_Foo_Skatepark_From_Entrance.jpeg [HTTP/1.1 200 OK 442ms]
GET https://bits.wikimedia.org/images/wikimedia-button.png [HTTP/1.1 200 OK 244ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/assets/poweredby_mediawiki_88x31.png [HTTP/1.1 200 OK 564ms]
GET https://upload.wikimedia.org/wikipedia/mediawiki/b/bc/Wiki.png [HTTP/1.1 200 OK 544ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 242ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 98ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 1657ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 484ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 537ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 434ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/lib/jquery.i18n/jquery.i18n.js [HTTP/1.1 200 OK 318ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/lib/jquery.ime/css/jquery.ime.css [HTTP/1.1 200 OK 316ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/lib/jquery.ime/jquery.ime.js [HTTP/1.1 200 OK 635ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/lib/jquery.uls/src/jquery.uls.data.js [HTTP/1.1 200 OK 391ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/lib/jquery.uls/css/jquery.uls.grid.css [HTTP/1.1 200 OK 372ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/lib/jquery.i18n/jquery.i18n.messagestore.js [HTTP/1.1 200 OK 722ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/lib/jquery.uls/src/jquery.uls.data.utils.js [HTTP/1.1 200 OK 727ms]
GET https://bits.wikimedia.org/static-1.25wmf12/skins/Vector/skinStyles/jquery.ui/jquery.ui.core.css [HTTP/1.1 200 OK 645ms]
GET https://bits.wikimedia.org/static-1.25wmf12/skins/Vector/skinStyles/jquery.ui/jquery.ui.theme.css [HTTP/1.1 200 OK 651ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/lib/jquery.ui/jquery.ui.core.js [HTTP/1.1 200 OK 648ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/lib/jquery.ui/jquery.ui.position.js [HTTP/1.1 200 OK 716ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/lib/jquery.ui/jquery.ui.widget.js [HTTP/1.1 200 OK 721ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 635ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/lib/jquery.i18n/jquery.i18n.parser.js [HTTP/1.1 200 OK 174ms]
GET https://bits.wikimedia.org/static-1.25wmf12/skins/Vector/skinStyles/jquery.ui/jquery.ui.button.css [HTTP/1.1 200 OK 114ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/lib/jquery.ui/jquery.ui.button.js [HTTP/1.1 200 OK 172ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/lib/jquery.ui/jquery.ui.mouse.js [HTTP/1.1 200 OK 108ms]
GET https://en.wikipedia.org/w/index.php [HTTP/1.1 200 OK 153ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/EventLogging/modules/ext.eventLogging.subscriber.js [HTTP/1.1 200 OK 59ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 113ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 102ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 117ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 104ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 232ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 168ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 120ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 173ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 219ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 213ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/WikimediaEvents/modules/ext.wikimediaEvents.sendBeacon.js [HTTP/1.1 200 OK 164ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/resources/css/ext.uls.pt.css [HTTP/1.1 200 OK 58ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/WikimediaEvents/modules/ext.wikimediaEvents.deprecate.js [HTTP/1.1 200 OK 62ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/WikimediaEvents/modules/ext.wikimediaEvents.statsd.js [HTTP/1.1 200 OK 91ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/jquery/jquery.checkboxShiftClick.js [HTTP/1.1 200 OK 90ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/jquery/jquery.getAttrs.js [HTTP/1.1 200 OK 94ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/jquery/jquery.hidpi.js [HTTP/1.1 200 OK 117ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/jquery/jquery.highlightText.js [HTTP/1.1 200 OK 123ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/jquery/jquery.makeCollapsible.css [HTTP/1.1 200 OK 136ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/jquery/jquery.makeCollapsible.js [HTTP/1.1 200 OK 199ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/jquery/jquery.mw-jump.js [HTTP/1.1 200 OK 147ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/jquery/jquery.placeholder.js [HTTP/1.1 200 OK 149ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/mediawiki.action/mediawiki.action.view.rightClickEdit.js [HTTP/1.1 200 OK 167ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/mediawiki.api/mediawiki.api.watch.js [HTTP/1.1 200 OK 152ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/mediawiki.special/mediawiki.special.search.css [HTTP/1.1 200 OK 173ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/mediawiki.special/mediawiki.special.search.js [HTTP/1.1 200 OK 180ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 275ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 237ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 2994ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 250ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 307ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 651ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 414ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/lib/jquery.i18n/jquery.i18n.emitter.js [HTTP/1.1 200 OK 269ms]
GET https://commons.wikimedia.org/w/index.php [HTTP/1.1 200 OK 1076ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/lib/jquery.uls/images/icon-language.svg [HTTP/1.1 200 OK 655ms]
GET https://en.wikipedia.org/w/index.php [HTTP/1.1 200 OK 931ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/lib/jquery.ui/jquery.ui.draggable.js [HTTP/1.1 200 OK 873ms]
GET https://bits.wikimedia.org/static-1.25wmf12/skins/Vector/skinStyles/jquery.ui/jquery.ui.resizable.css [HTTP/1.1 200 OK 338ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/lib/jquery.ui/jquery.ui.resizable.js [HTTP/1.1 200 OK 867ms]
TypeError: this.form is null mediawiki.special.search.js:53
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/mediawiki/mediawiki.hidpi.js [HTTP/1.1 200 OK 89ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/jquery/jquery.suggestions.css [HTTP/1.1 200 OK 96ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/jquery/jquery.suggestions.js [HTTP/1.1 200 OK 569ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/mediawiki.page/mediawiki.page.ready.js [HTTP/1.1 200 OK 86ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/mediawiki.page/mediawiki.page.watch.ajax.js [HTTP/1.1 200 OK 569ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/resources/js/ext.uls.eventlogger.js [HTTP/1.1 200 OK 569ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/lib/jquery.i18n/jquery.i18n.language.js [HTTP/1.1 200 OK 442ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/NavigationTiming/modules/ext.navigationTiming.js [HTTP/1.1 200 OK 432ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/mediawiki/mediawiki.searchSuggest.css [HTTP/1.1 200 OK 59ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/mediawiki/mediawiki.searchSuggest.js [HTTP/1.1 200 OK 60ms]
GET https://www.mediawiki.org/w/index.php [HTTP/1.1 200 OK 145ms]
GET https://bits.wikimedia.org/static-1.25wmf12/skins/Vector/skinStyles/jquery.ui/jquery.ui.dialog.css [HTTP/1.1 200 OK 69ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/lib/jquery.ui/jquery.ui.dialog.js [HTTP/1.1 200 OK 153ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/NavigationTiming/modules/ext.navigationTiming.HHVM.js [HTTP/1.1 200 OK 63ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/resources/js/ext.uls.i18n.js [HTTP/1.1 200 OK 65ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/lib/jquery.uls/css/jquery.uls.css [HTTP/1.1 200 OK 63ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/lib/jquery.uls/css/jquery.uls.lcd.css [HTTP/1.1 200 OK 65ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/lib/jquery.uls/src/jquery.uls.core.js [HTTP/1.1 200 OK 213ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 138ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 112ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 153ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/lib/jquery.uls/src/jquery.uls.lcd.js [HTTP/1.1 200 OK 115ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 96ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/Echo/modules/base/ext.echo.base.js [HTTP/1.1 200 OK 62ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/lib/jquery.uls/src/jquery.uls.languagefilter.js [HTTP/1.1 200 OK 114ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/Echo/modules/overlay/ext.echo.overlay.js [HTTP/1.1 200 OK 115ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/lib/jquery.uls/src/jquery.uls.regionfilter.js [HTTP/1.1 200 OK 61ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 132ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/Echo/modules/overlay/ext.echo.overlay.init.js [HTTP/1.1 200 OK 62ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/resources/js/ext.uls.mediawiki.js [HTTP/1.1 200 OK 58ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/resources/js/ext.uls.ime.js [HTTP/1.1 200 OK 60ms]
GET https://bits.wikimedia.org/www.mediawiki.org/load.php [HTTP/1.1 200 OK 140ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/lib/jquery.ime/images/ime-active.svg [HTTP/1.1 200 OK 202ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/lib/jquery.ime/images/tick.svg [HTTP/1.1 200 OK 200ms]
GET https://www.mediawiki.org/w/api.php [HTTP/1.1 200 OK 210ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/resources/css/ext.uls.buttons.css [HTTP/1.1 200 OK 60ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/resources/css/ext.uls.languagesettings.css [HTTP/1.1 200 OK 61ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/resources/js/ext.uls.languagesettings.js [HTTP/1.1 200 OK 64ms]
GET https://bits.wikimedia.org/static-1.25wmf12/resources/src/mediawiki.api/mediawiki.api.parse.js [HTTP/1.1 200 OK 62ms]
POST https://www.mediawiki.org/w/api.php [HTTP/1.1 200 OK 2427ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/resources/css/ext.uls.displaysettings.css [HTTP/1.1 200 OK 58ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/resources/js/ext.uls.displaysettings.js [HTTP/1.1 200 OK 127ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/resources/css/ext.uls.inputsettings.css [HTTP/1.1 200 OK 76ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/resources/js/ext.uls.inputsettings.js [HTTP/1.1 200 OK 132ms]
GET https://bits.wikimedia.org/static-1.25wmf12/extensions/UniversalLanguageSelector/lib/jquery.uls/images/close.svg [HTTP/1.1 200 OK 298ms]

The check all/none buttons do nothing. If I check or uncheck any of the namespace check boxes and then hit search to refine my search, the checkboxes revert to default and my results do not change.

Technical13 updated the task description. (Show Details)Dec 15 2014, 7:27 PM

The check all/none buttons do nothing. If I check or uncheck any of the namespace check boxes and then hit search to refine my search, the checkboxes revert to default and my results do not change.

I see that too.

Jaspark1027 added a subscriber: Jaspark1027.
GOIII added a comment.Dec 16 2014, 2:38 PM
NOTE: In case it matters; excerpt from the recently merged duplicate T78636

Confirmed ... reproduced behavior on both www.MediaWiki.org and test2.wikipedia.org [1.25wmf12 (1d22bb3)] at the moment.

I could not reproduce this behavior (selecting none or all executes as expected) on en.wikipedia.org or en.wikisource.org [1.25wmf11 (038c7a8)] however.

I'm going to grab this. I'm not particularly well qualified for it so if a Javascript expert wants it feel free to trump me. I just think it needs looking at sooner rather than later.

Reassigning to rmoen as its very likely related to Ic6ec29817ab7deadc6bc7125f8b4cd16686baa04. I don't want to just revert his work because it looks like it has some value. If he isn't able to pick this up in a few hours I will just revert it so we can have advanced search back.

Aklapper renamed this task from Special:Search on MediaWiki wiki is throwing an error to Special:Search on mw.org throwing an error - Advanced search checkboxes broken.Dec 16 2014, 3:50 PM
Aklapper added a subscriber: Spage.
rmoen added a comment.EditedDec 16 2014, 7:20 PM

Reassigning to rmoen as its very likely related to Ic6ec29817ab7deadc6bc7125f8b4cd16686baa04. I don't want to just revert his work because it looks like it has some value. If he isn't able to pick this up in a few hours I will just revert it so we can have advanced search back.

The breaking change should be reverted as turns out it breaks the entire advanced search form for logged in users. However, I have an easy fix for all of this.

Do they have to be logged in? Not that it really matters. Is it something you can fix in an hour or two? If so we should just fix it I think

Do they have to be logged in? Not that it really matters. Is it something you can fix in an hour or two? If so we should just fix it I think

Agreed. I have identified a fix.

Awesome! Can you link it here? We can certainly SWAT it tomorrow morning or this afternoon if we can get it reviewed ASAP.

Change 180237 had a related patch set uploaded (by Robmoen):
Move advanced search inputs back into the form

https://gerrit.wikimedia.org/r/180237

Patch-For-Review

This comment was removed by rmoen.

Change 180237 merged by jenkins-bot:
Move advanced search inputs back into the form

https://gerrit.wikimedia.org/r/180237

Change 180319 had a related patch set uploaded (by Robmoen):
Move advanced search inputs back into the form

https://gerrit.wikimedia.org/r/180319

Patch-For-Review

Krinkle edited projects, added Regression; removed Patch-For-Review.EditedDec 17 2014, 1:58 AM

This isn't just causing a user scripts or extensions to throw an exception due to elements not existing in javascript land. The core feature itself is also plain broken.

  1. https://meta.wikimedia.org/w/index.php?title=Special%3ASearch&profile=advanced&search=formsGadgetConfig&fulltext=Search
  2. Tick/untick any namespace checkboxes.
  3. Press "Search"

Expected: Search results now include different results and namespace selection is there as the user submitted it

Actual: The checkboxes not being part of the <form> means they're not submitted and completely ignored by the server. The advanced search is completely non-functional.

This isn't just causing a user scripts or extensions to throw an exception due to elements not existing in javascript land. The core feature itself is also plain broken.

  1. https://meta.wikimedia.org/w/index.php?title=Special%3ASearch&profile=advanced&search=formsGadgetConfig&fulltext=Search
  2. Tick/untick any namespace checkboxes.
  3. Press "Search"

Expected: Search results now include different results and namespace selection is there as the user submitted it
Actual: The checkboxes not being part of the <form> means they're not submitted and completely ignored by the server. The advanced search is completely non-functional.

Thanks for making that clear. I didn't do a good job of documenting how broken it was. I took a stab at it in https://phabricator.wikimedia.org/T78553#849773 but wasn't super clear. The change to fix it is scheduled to by SWATed tonight.

Change 180319 merged by jenkins-bot:
Move advanced search inputs back into the form

https://gerrit.wikimedia.org/r/180319

Manybubbles closed this task as Resolved.Dec 17 2014, 4:15 PM

Verified on mw.org

@Nikerabbit: Keeps on translatewiki, u know.

bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Dec 22 2014, 10:38 PM

@Nikerabbit: Keeps on translatewiki, u know.

OK now tsw fixed too.

Liuxinyu970226 added a comment.EditedJan 16 2015, 1:21 AM

Can't work again on zhwiktionary and zhwikibooks, who can help them.

@Liuxinyu970226: Can you provide a link / steps to reproduce please?

Manybubbles reopened this task as Open.Jan 16 2015, 2:29 PM

Reopened - it is indeed broken on zhwiktionary but not enwiktionary. No idea why yet.

Also - its clicking the buttons that is broken. Clicking on the check boxes still seems to work.

The all/none buttons still work on zhwikipedia but do not on zhwikibooks or zhwiktionary.....

Manybubbles removed Manybubbles as the assignee of this task.Jan 16 2015, 3:01 PM

Unassigning to myself as I can't figure it out and Javascript isn't my forte. It looks like the click event is getting unbound from the button after its creation. This returns undefined:
$._data($('#mw-search-toggleall')[0], 'events')
on the wikis that don't work.

Hmm, wondering who could investigate the JS part then... any idea?

I believe its 100% js but I dunno - I just know I'm like a bull in a china shop with browser debugging.

matmarex closed this task as Resolved.Jan 16 2015, 7:03 PM
matmarex claimed this task.

Indeed, the click event was getting unbound, because local site JS was rewriting some .innerHTML properties (which has the side-effect of killing everything that's not in initial HTML, like event handlers and inputted form field values). I removed one line: https://zh.wiktionary.org/w/index.php?title=MediaWiki:Common.js&diff=prev&oldid=4074338 and it seems to be working. If any other sites have the same problem, doing this will probably help them too.